#include <iostream>

using namespace std;

int main()
{
    int n, l;
    cin >> n >> l;

    for(int i = 0; i < n; i++) {
        int x;
        cin >> x;
        if(x <= l) {
            cout << i + 1 << endl;
            return 0;
        }
    }

    cout << -1 << endl;
    return 0;
}